R - devtools Github install fails

Tag: r , curl , github Author: q981788244 Date: 2013-04-23

Trying to use Hadleys devtools package I am getting a certification error:

install_github("devtools")
Installing github repo(s) devtools/master from hadley
Installing devtools.zip from https://github.com/hadley/devtools/archive/master.zip
  Error in function (type, msg, asError = TRUE)  : 
  Peer certificate cannot be authenticated with given CA certificates

Google search tells me that this is a curl issue. I am no nearer. Using "git" from the command line I can pick up anything I want from github, - I don't get this error. It only appears when I try to connect to github from R.

I am using ubuntu 12.10, libcurl 7.22.0 and R 3.0

Does anyone have an idea what to do to fix this?

Sincerely H.

Other Answer1

This issue is resolved. There was some mismatch between the version of RCurl and the curl library. Re-installing RCurl fixed the problem.

Other Answer2

Try

$ git clone git://github.com/hadley/devtools.git
$ R CMD build devtools
$ R CMD install devtools_1.2.99.tar.gz

or just

$ git clone git://github.com/hadley/devtools.git
$ R CMD install devtools

both worked for me on Ubuntu 12.04. Someone else can weigh in on whether there's any difference in building first then installing from tarball or not. I would guess no, but I have no idea

edit: trying this on os X

* installing to library ‘/Library/Frameworks/R.framework/Versions/3.0/Resources/library’
* installing *source* package ‘devtools’ ...
** libs
sh: make: command not found
ERROR: compilation failed for package ‘devtools’
* removing ‘/Library/Frameworks/R.framework/Versions/3.0/Resources/library/devtools’
* restoring previous ‘/Library/Frameworks/R.framework/Versions/3.0/Resources/library/devtools’

comments:

Thanks Jake, That is how I did it with rCharts recently. But I would like to be able to access this directly. Which seems to be working for now (after I updated RCurl)